version: '3.9'
services:
  rabbitmq:
    image: rabbitmq:3.8.11-management
    hostname: rabbitmq-local
    container_name: rabbitmq-local
    restart: always
    environment:
      RABBITMQ_ERLANG_COOKIE: "rabbitmq"
      RABBITMQ_DEFAULT_USER: "guest"
      RABBITMQ_DEFAULT_PASS: "guest"
    ports:
      - 5672:5672
      - 15672:15672
    networks:
      - localnet
  redis:
    image: redis:6.0.10
    hostname: redis-local
    container_name: redis-local
    restart: always
    ports:
      - 6379:6379
    networks:
      - localnet
  test-mssql:
    image: mcr.microsoft.com/mssql/server
    hostname: test-mssql-local
    container_name: test-mssql-local
    environment:
      ACCEPT_EULA: "Y"
      SA_PASSWORD: "Password_123"
      MSSQL_PID: "Express"
    ports:
      - "1433:1433"
    networks:
      - localnet
networks:
  localnet:
    name: local-net
